import { ActivityIndicatorProps, BlueBaseFilterProps, BlueBaseImageProps, ButtonProps, ComponentStateProps, DataObserverProps, DynamicIconProps, ErrorObserverProps, ErrorStateProps, FormattedMessageProps, HoverObserverProps, ImageProps, LinkProps, LoadingStateProps, NavigationActionsProps, NavigationProps, NoopProps, PluginIconProps, RedirectProps, StatefulComponentProps, TextProps, TouchableItemProps, ViewProps, WaitObserverProps } from '@bluebase/components';
import { BlueBase } from './BlueBase';
import { BlueBaseContentProps } from './components';
import React from 'react';
export { ActivityIndicatorProps, ButtonProps, ImageProps, TextProps, ViewProps } from './native';
/**
 * Resolves a component from BlueBase context, and returns it.
 * It is possible to pass multiple keys as backup. So if one component
 * is not found, the function will fallback and try to find next component.
 *
 * @param keys
 */
export declare function getComponent<T = any>(...keys: string[]): {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<T, any> | React.FunctionComponent<T> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<T, any> | React.FunctionComponent<T> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const BlueBaseContent: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<BlueBaseContentProps, any> | React.FunctionComponent<BlueBaseContentProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<BlueBaseContentProps, any> | React.FunctionComponent<BlueBaseContentProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const BlueBaseImage: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<BlueBaseImageProps, any> | React.FunctionComponent<BlueBaseImageProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<BlueBaseImageProps, any> | React.FunctionComponent<BlueBaseImageProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const BlueBaseFilter: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<BlueBaseFilterProps<any>, any> | React.FunctionComponent<BlueBaseFilterProps<any>> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<BlueBaseFilterProps<any>, any> | React.FunctionComponent<BlueBaseFilterProps<any>> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const ComponentState: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<ComponentStateProps, any> | React.FunctionComponent<ComponentStateProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<ComponentStateProps, any> | React.FunctionComponent<ComponentStateProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const DataObserver: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<DataObserverProps, any> | React.FunctionComponent<DataObserverProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<DataObserverProps, any> | React.FunctionComponent<DataObserverProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const DynamicIcon: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<DynamicIconProps, any> | React.FunctionComponent<DynamicIconProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<DynamicIconProps, any> | React.FunctionComponent<DynamicIconProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const EmptyState: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<{}, any> | React.FunctionComponent<{}> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<{}, any> | React.FunctionComponent<{}> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const ErrorObserver: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<ErrorObserverProps, any> | React.FunctionComponent<ErrorObserverProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<ErrorObserverProps, any> | React.FunctionComponent<ErrorObserverProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const ErrorState: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<ErrorStateProps, any> | React.FunctionComponent<ErrorStateProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<ErrorStateProps, any> | React.FunctionComponent<ErrorStateProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const FormattedMessage: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<FormattedMessageProps, any> | React.FunctionComponent<FormattedMessageProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<FormattedMessageProps, any> | React.FunctionComponent<FormattedMessageProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const HoverObserver: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<HoverObserverProps, any> | React.FunctionComponent<HoverObserverProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<HoverObserverProps, any> | React.FunctionComponent<HoverObserverProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Link: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<LinkProps, any> | React.FunctionComponent<LinkProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<LinkProps, any> | React.FunctionComponent<LinkProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const LoadingState: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<LoadingStateProps, any> | React.FunctionComponent<LoadingStateProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<LoadingStateProps, any> | React.FunctionComponent<LoadingStateProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Noop: {
    new (props: Readonly<any>): {
        Component?: React.FunctionComponent<NoopProps> | React.ComponentClass<NoopProps, any> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.FunctionComponent<NoopProps> | React.ComponentClass<NoopProps, any> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const PluginIcon: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<PluginIconProps, any> | React.FunctionComponent<PluginIconProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<PluginIconProps, any> | React.FunctionComponent<PluginIconProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Navigation: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<NavigationProps, any> | React.FunctionComponent<NavigationProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<NavigationProps, any> | React.FunctionComponent<NavigationProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const NavigationActions: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<NavigationActionsProps, any> | React.FunctionComponent<NavigationActionsProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<NavigationActionsProps, any> | React.FunctionComponent<NavigationActionsProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Redirect: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<RedirectProps, any> | React.FunctionComponent<RedirectProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<RedirectProps, any> | React.FunctionComponent<RedirectProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const StatefulComponent: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<StatefulComponentProps, any> | React.FunctionComponent<StatefulComponentProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<StatefulComponentProps, any> | React.FunctionComponent<StatefulComponentProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const TouchableItem: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TouchableItemProps, any> | React.FunctionComponent<TouchableItemProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TouchableItemProps, any> | React.FunctionComponent<TouchableItemProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const WaitObserver: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<WaitObserverProps, any> | React.FunctionComponent<WaitObserverProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<WaitObserverProps, any> | React.FunctionComponent<WaitObserverProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const ActivityIndicator: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<ActivityIndicatorProps, any> | React.FunctionComponent<ActivityIndicatorProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<ActivityIndicatorProps, any> | React.FunctionComponent<ActivityIndicatorProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Button: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<ButtonProps, any> | React.FunctionComponent<ButtonProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<ButtonProps, any> | React.FunctionComponent<ButtonProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Image: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<ImageProps, any> | React.FunctionComponent<ImageProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<ImageProps, any> | React.FunctionComponent<ImageProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Text: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const View: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<ViewProps, any> | React.FunctionComponent<ViewProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<ViewProps, any> | React.FunctionComponent<ViewProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const H1: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const H2: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const H3: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const H4: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const H5: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const H6: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Subtitle1: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Subtitle2: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Body1: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Body2: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Caption: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
export declare const Overline: {
    new (props: Readonly<any>): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    new (props: any, context?: any): {
        Component?: React.ComponentClass<TextProps, any> | React.FunctionComponent<TextProps> | undefined;
        componentWillMount(): void;
        render(): React.ReactElement<any>;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<any>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: React.ReactNode;
        }> & Readonly<any>;
        state: Readonly<{}>;
        refs: {
            [key: string]: React.ReactInstance;
        };
    };
    displayName: string;
    contextType: React.Context<BlueBase>;
};
